#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-9fPJk8Q3xbmK6Jj7SLMS4s
key:                  persistent-test-2.13.1.3-9fPJk8Q3xbmK6Jj7SLMS4s
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  a2f58bfb6e4d640f87b073983272eaca
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-9fPJk8Q3xbmK6Jj7SLMS4s
depends:
    HUnit-1.6.2.0-8V4cpd2vyM7I9OG8MrEdHy
    QuickCheck-2.14.3-DB9X9Jr9tgaB7YjSEeodGO
    aeson-2.1.2.1-8ueLuG1qYj9Fbt4mgkSEM3 base-4.16.4.0
    blaze-html-0.9.2.0-EE92uMfVTXXFb5zxrNGZSc bytestring-0.11.4.0
    conduit-1.3.6-DKxmXDBSAtbFEdhj7gVmd7 containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-KGzv9RVsU87FxL7qCXeFtE
    hspec-expectations-0.8.3-1zJ9Bt2UKIO1izJ8suxZW5
    http-api-data-0.5.1-4SAtcM8zrdv8pg3M4JRGjK
    monad-control-1.0.3.1-AUWYLQOOCuLmU2Q4KsKGl
    monad-logger-0.3.40-82iV3yAEfewD23tx8PrLQI mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-GWovSGtgN5O4dY0oI11USZ
    quickcheck-instances-0.3.30-EeXnPvi3aCR4E7R5WsDInx
    random-1.2.1.2-4MvNAJNQIvxGHtrKNblxG1
    resourcet-1.2.6-FuwUbRkPz8Z2g3NTjJ9eC3 text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-49q3ABY5SL9GSCeyTZR1jM
    unliftio-0.2.25.0-5a5WvPoBW6EBfdyWO9zWFh
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-E4Tm9IvXwjlGK4H2DBnoSH

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

